<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license. If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package   QT-registerations
* @author    Philippe Vandenberghe <info@qt-cute.org>
* @copyright 2008-2012 The PHP Group
* @version   2.4 build:20100313
*/

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));
if ( $oVIP->role!='A' ) die(Error(13));

// INITIALISE

$strVersion='v2.4';
$oVIP->selfurl = 'qtrm_map_install.php';
$oVIP->selfname = 'Installation module MAP '.$strVersion;

$bStep1 = true;
$bStepZ = true;

// STEP 1

foreach(array('qtrm_map_uninstall.php','qtrm_map_lib.php','qtrm_map_adm.php','qtrm_map/config.php','qtrm_map_ini.php','qtrm_map_load.php') as $strFile)
{
if ( !file_exists($strFile) ) $error='Missing file: '.$strFile.'<br/>This module cannot be used.';
}
if ( !empty($error) ) $bStep1 = false;

// STEP Z
if ( empty($error) )
{
  $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_map" OR param="m_map_gkey" OR param="m_map_gcenter" OR param="m_map_gzoom" OR param="m_map_gbuttons" OR param="m_map_gfind"');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting) VALUES ("module_map","Map")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting) VALUES ("m_map_gkey","")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting) VALUES ("m_map_gcenter","50.8468142558,4.35238838196")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting) VALUES ("m_map_gzoom","10")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting) VALUES ("m_map_gbuttons","P10100")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting) VALUES ("m_map_gfind","Brussels, Belgium")');
  $_SESSION[QT]['module_map'] = 'Map';
  $_SESSION[QT]['m_map_gkey'] = '';
  $_SESSION[QT]['m_map_gcenter'] = '50.8468142558,4.35238838196';
  $_SESSION[QT]['m_map_gzoom'] = '10';
  $_SESSION[QT]['m_map_gbuttons'] = 'P10100';
  $_SESSION[QT]['m_map_gfind'] = 'Brussels, Belgium';
}

// --------
// Html start
// --------

include('qtr_adm_p_header.php');

echo '<h2>Checking components</h2>';
if ( !$bStep1 )
{
  echo '<p class="error">',$error,'</p>';
  include('qtr_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Database settings</h2>';
if ( !$bStepZ )
{
  echo '<p class="error">',$error,'</p>';
  include('qtr_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Installation completed</h2>';

// --------
// Html end
// --------

?>